Loading...
Searching...
No Matches
cert::ServerSSLCert::CommonAttributes Struct Reference

Certificate issuer or subject attributes. More...

`import <ServerSSLCert.idl;`

## Public Attributes

string | country
| Country code.
string | stateOrProvince
| State or province.
string | locality
| Locality or city.
string | organization
| Organization.
string | organizationalUnit
| Organizational Unit.
string | commonName
| Common Name.
string | emailAddress
| Email Address.

## Detailed Description

Certificate issuer or subject attributes.

> ‍same as ERR_KEY_FORMAT_INVALID

Definition at line 42 of file ServerSSLCert.idl.

## Member Data Documentation

## commonName

string cert::ServerSSLCert::CommonAttributes::commonName

Common Name.

Definition at line 48 of file ServerSSLCert.idl.

## country

string cert::ServerSSLCert::CommonAttributes::country

Country code.

Definition at line 43 of file ServerSSLCert.idl.

## emailAddress

string cert::ServerSSLCert::CommonAttributes::emailAddress

Email Address.

Definition at line 49 of file ServerSSLCert.idl.

## locality

string cert::ServerSSLCert::CommonAttributes::locality

Locality or city.

Definition at line 45 of file ServerSSLCert.idl.

## organization

string cert::ServerSSLCert::CommonAttributes::organization

Organization.

Definition at line 46 of file ServerSSLCert.idl.

## organizationalUnit

string cert::ServerSSLCert::CommonAttributes::organizationalUnit

Organizational Unit.

Definition at line 47 of file ServerSSLCert.idl.

## stateOrProvince

string cert::ServerSSLCert::CommonAttributes::stateOrProvince

State or province.

Definition at line 44 of file ServerSSLCert.idl.

The documentation for this struct was generated from the following file:

- ServerSSLCert.idl